import { dq as c, dr as s, ap as u, aj as n, ds as i, dt as m, du as y } from "./platform-Cil_UtAQ.mjs";
function t(e) {
  return [...i, m(e)];
}
function h(e, o) {
  const [d, r] = c(e), a = s(t(e), o);
  return {
    protocolName: d,
    payloadName: r,
    payloadLiteral: e,
    ...s(y, o),
    ...a,
    hash: u(n(t(e), a))
  };
}
export {
  h as c
};
